package cz.muni.fi.pa165.json;

import com.google.gwt.core.client.JavaScriptObject;
import cz.muni.fi.pa165.model.Error;

/**
 * Events done on callback
 *
 * @autor Pavel Zlámal
 */
public interface ApiCallerEvent {

	/**
	 * Action triggered on API call start (done even if call fails).
	 */
	public void onStart();

	/**
	 * Action triggered on success (return code 200)
	 *
	 * @param jso Server response as JavaScriptObject
	 */
	public void onFinished(JavaScriptObject jso);

	/**
	 * Action triggered on error
	 *
	 * @param error Error returned by server.
	 */
	public void onError(Error error);

}